Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159655 - CAN-2005-1686 filename format string vulnerability
Summary: CAN-2005-1686 filename format string vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gedit
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL: http://www.securityfocus.com/bid/1369...
Whiteboard: public=20050520,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 16:49 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-499
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-13 12:28:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:499 normal SHIPPED_LIVE Moderate: gedit security update 2005-06-13 04:00:00 UTC

Description Josh Bressers 2005-06-06 16:49:39 UTC
gEdit is prone to a format string vulnerability. Exploitation may occur when the
program is invoked with a filename that includes malicious format specifiers.
This issue could be exploited to corrupt arbitrary regions of memory with
attacker-supplied data, potentially resulting in execution of arbitrary code in
the context of the user running the program.

Comment 1 Josh Bressers 2005-06-06 16:51:11 UTC
This issue should also affect RHEL3 and RHEL2.1

Comment 2 Josh Bressers 2005-06-06 16:52:34 UTC
The following example is available (taken from securityfocus.com)

bash-2.05b#cat fmtexp.c

#include <stdio.h>


int
main()
{
printf("hah gedit\n");
}


bash-2.05b#gcc -o fk fmtexp.c

bash-2.05b#mv fk AA%n%n%n.c

bash-2.05b#gedit AA%n%n%n.c

Comment 3 Josh Bressers 2005-06-06 19:52:07 UTC
This issue does not affect RHEL2.1

Comment 4 Josh Bressers 2005-06-13 12:28:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-499.html



Note You need to log in before you can comment on or make changes to this bug.